<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:tns="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Methods.Database.GetScalarValue" elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Methods.Database.GetScalarValue" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Methods.Database" />
  <xs:import namespace="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Messages" />
  <xs:complexType name="GetScalarValueRequest">
    <xs:sequence>
      <xs:element minOccurs="0" name="ConnectionId" type="xs:int" />
      <xs:element xmlns:q1="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Methods.Database" minOccurs="0" name="DatabaseType" type="q1:DatabaseType" />
      <xs:element xmlns:q2="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Methods.Database" minOccurs="0" name="NamedDatabase" type="q2:DatabaseName" />
      <xs:element minOccurs="0" name="SqlCommand" nillable="true" type="xs:string" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="GetScalarValueRequest" nillable="true" type="tns:GetScalarValueRequest" />
  <xs:complexType name="GetScalarValueResponse">
    <xs:complexContent mixed="false">
      <xs:extension xmlns:q3="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Messages" base="q3:BaseResponse">
        <xs:sequence>
          <xs:element minOccurs="0" name="Scalar" nillable="true" type="xs:anyType" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:element name="GetScalarValueResponse" nillable="true" type="tns:GetScalarValueResponse" />
</xs:schema>